Bug 129481 - Undoing "increase indent" undoes only one line at a time
Summary: Undoing "increase indent" undoes only one line at a time
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All Linux (All)
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.5.0 target:6.4.1
Keywords: needUITest
Depends on:
Blocks:
 
Reported: 2019-12-18 20:19 UTC by david.cortes.rivera
Modified: 2020-01-21 08:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description david.cortes.rivera 2019-12-18 20:19:13 UTC
Steps to reproduce:
- Launch Impress.
- Write something in the default slide structure as a bullet point.
- Press enter to move to start writing the next bullet point, then tab to make it an inner list within the earlier bullet point.
- Write a couple more points in this sub-list.
- Increase indentation with the button that has lines and a blue arrow, which says "Increase Indent" when the mouse is hovered above it.
(at this point the whole text becomes more indented)
- Press Ctrl + Z.

Expected behavior: should de-indent all the lines that were indented after pressing the "Increase Indent" button.

Actual behavior: only de-indents one line, requiring to press Ctrl + Z for every single line that was affected.
Comment 1 ian 2019-12-21 18:28:56 UTC
Thank you for reporting the bug. I can confirm that the bug is also present in Version: 6.3.3.2 (x64); Windows 10.0.
Comment 2 Xisco Faulí 2019-12-26 11:55:05 UTC
only happening in Impress/Draw, not in Writer. Also reproducible in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.15; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

@Jim, I thought you might be interested in this issue...
Comment 3 Jim Raykowski 2020-01-16 07:05:20 UTC
Here is a patch that combines undos for indent and spacing changes:
https://gerrit.libreoffice.org/c/core/+/86903
Comment 4 Commit Notification 2020-01-20 16:11:11 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d6628ddaf6e2acf53c5a7cbbcb201d700cd95f54

tdf#129481 Combine outliner indent and spacing undos

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-01-21 08:15:17 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: b92293b3943423324064a8513c2e114d18817179
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Jim, thanks for fixing this issue!!
Comment 6 Commit Notification 2020-01-21 08:17:37 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/fc64cd7d85354fe2d554711974593e2866e38427

tdf#129481 Combine outliner indent and spacing undos

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.